## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without bootstrap

Name:           python-aiocoap
Version:        0.4.14
Release:        %autorelease
Summary:        Python CoAP library

License:        MIT AND BSD-3-Clause
URL:            https://christian.amsuess.com/tools/aiocoap/
Source:         https://github.com/chrysn/aiocoap/archive/%{version}/aiocoap-%{version}.tar.gz
# License metadata patch https://github.com/chrysn/aiocoap/pull/389
Patch:          license-metadata.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(tox-current-env)
BuildRequires:  tox

%if %{without bootstrap}
# Documentation
BuildRequires:  python3dist(aiocoap)
BuildRequires:  python3dist(docutils)
BuildRequires:  python3dist(sphinx)
BuildRequires:  texinfo
%endif

%global _description %{expand:
The aiocoap package is an implementation of CoAP, the Constrained Application
Protocol. It facilitates writing applications that talk to network enabled
embedded ("IoT" / "Internet of Things") devices.

It is written in Python 3 using its native asyncio methods to facilitate
concurrent operations while maintaining an easy to use interface.}

%description %_description

%package -n     python3-aiocoap
Summary:        %{summary}

%description -n python3-aiocoap %_description
%if %{without bootstrap}
%pyproject_extras_subpkg -n python3-aiocoap docs,linkheader,ws
%else
%pyproject_extras_subpkg -n python3-aiocoap linkheader,ws
%endif

%prep
%autosetup -p1 -n aiocoap-%{version}


%generate_buildrequires
%if %{without bootstrap}
%pyproject_buildrequires -x docs,linkheader,ws
%else
%pyproject_buildrequires -x linkheader,ws
%endif

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l aiocoap


%check
# Only check import of top level module since not everything is built
%pyproject_check_import -t
#{py3_test_envvars} %%{python3} -m unittest
%tox

%files -n python3-aiocoap -f %{pyproject_files}


%changelog
## START: Generated by rpmautospec
* Sun Jul 20 2025 John Doe <packager@example.com> - 0.4.14-1
- Uncommitted changes
## END: Generated by rpmautospec
